using GadgetCore.API;
using HarmonyLib;
using System.Collections;
using System.Reflection;
using UnityEngine;

namespace StorageExpansion.Patches
{

  [HarmonyPatch(typeof(GameScript))]
  [HarmonyPatch("ShiftClickStorage")]
  [HarmonyGadget("StorageExpansion")]
  public static class Patch_GameScript_ShiftClickStorage
  {

    [HarmonyPrefix]
    public static bool Prefix(GameScript __instance, ref bool ___shiftclicking, int ___curStoragePage, ref IEnumerator __result)
    {
      __instance.StartCoroutine(__instance.RefreshStoragePage(___curStoragePage));
      ___shiftclicking = false;
      __result = FakeRoutine();
      return false;
    }

    public static IEnumerator FakeRoutine()
    {
      yield break;
    }
  }
}